<id>
Donation Page for YaBB 2.6.11
</id>

<version>
0.6
</version>

<mod info>
Description
-----------
Adds a Donation Page to your Forum.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
3) Upload DonationPageSettings.pm to Admin/Mods, DonationPage.lng to Language/English/Mods, and DonationPage.pm to Sources/Mods all in ASCII mode.
4) Upload donate.gif to yabbfiles/ModImages in binary mode.

Files to edit
-------------
AdminIndex.pl
Admin/AdminSublist.pm
Admin/ModList.pm
Languages/English/Admin.lng
Languages/English/Menu.lng
Sources/AdvancedTabs.pm
Sources/SubList.pm
Sources/Subs.pm
Sources/TabMenu.pm
Templates/default/Menu.def
Variables/Settings.pm

Version History
---------------
V0.1 - First release - 28th May 2010
V0.2 - Fixed repeated text in Donation Page Settings - 30th May 2010
V0.3 - Updated for YaBB 2.5 - 12th July 2010
V0.4 - Updated for 2.6.0 by Dandello - July 17, 2014
V0.5 - Updated for 2.6.1 by Dandello - September 4, 2014
V0.6 - Updated for 2.6.11 by Dandello - December 14, 2014
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.yabbforumsoftware.com
</homepage>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
$donation_page_mod = "donationpage|$mod_list{'donate'}|$mod_list{'donate1'}|";
push @boardmod_mods, $donation_page_mod;

</add before>

<edit file>
Admin/AdminSublist.pm
</edit file>

<search for>
1;
</search for>

<add before>
### Donation Page Mod Start ###
$director{'donationpage'} = 'Mods/DonationPageSettings.pm&DonationPage';
$director{'donationpage2'} = 'Mods/DonationPageSettings.pm&DonationPage2';
$director{'donationpage3'} = "Mods/DonationPageSettings.pm&DonationPage3";
### Donation Page Mod End ###
</add before>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $donation_page_mod = qq~Donation Page|Derek Barnstorm, updated for 2.6.11 by Dandello|Adds a Donation Page to your Forum. [<span class="small"><a href="$adminurl?action=donationpage" style="font-weight: bold;">$mod_list{'donate'}</a></span>]|0.6|14 Dec 2014";
    push @installed_mods, $donation_page_mod;
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
1;
</search for>

<add before>
### Donation Page Mod Start ###
$mod_list{'donate'} = 'Donation Page Settings';
$mod_list{'donate1'} = 'Edit Donation Page Settings';
### Donation Page Mod End ###

</add before>

<edit file>
Languages/English/Menu.lng
</edit file>

<search for>
1;
</search for>

<add before>
$img_txt{'donate'} = 'Donate'; ### Donation Page Mod ###

</add before>

<edit file>
Sources/AdvancedTabs.pm
</edit file>

<search for>
## End Mod hook tablist ##
</search for>

<add before>
push @tablist, 'donate'; ### Donation Page Mod ###
</add before>

<search for>
## End Mod Hook GetTextTab ##
</search for>

<add before>
    $texttab{'donate'}            = $img_txt{'donate'}; ### Donation Page Mod ###
</add before>

<edit file>
Sources/SubList.pm
</edit file>

<search for>
1;
</search for>

<add before>
### Donation Page Mod Start ###
$director{'donate'} = 'Mods/DonationPage.pm&Donate';
$director{'donationreceived'} = 'Mods/DonationPage.pm&DonationReceived';
### Donation Page Mod End ###
</add before>

<edit file>
Sources/TabMenu.pm
</edit file>

<search for>
## Tab Mod Hook ##
</search for>

<add before>
    ### Donation Page Mod Start ###
    if (-e "$vardir/DonationPage.txt") { require "$vardir/DonationPage.txt"; }
    if ($en_donationpage == 2 || (!$iamguest && $en_donationpage == 1)) {
        $tab{'donate'} = qq~$tabhtml_l"$scripturl?action=donate" title="$img_txt{'donate'}">$img_txt{'donate'}</a>$tabhtml_r~;
    }
    ### Donation Page Mod End ###
</add before>

<edit file>
Templates/default/Menu.def
</edit file>

<search for>
collapse,collapse|img_txt|623|||imgwindowbg|png|tmp
</search for>

<add after>
donate,donate|img_txt|donate|||imgwindowbg|gif|mod
</add after>

<edit file>
Variables/Settings.pm
</edit file>

<search for>
1;
</search for>

<add before>
push @AdvancedTabs, 'donate';

</add before>

